Attribute VB_Name = "TempMap"
'// Programmed by: Ervin Louie B. Pe Benito
'// TemMap.bas
'// this temporary map will be used for debugging purposes
Option Explicit
Public Sub DrawTempMap()
Dim x, y As Integer
    For x = GameMapScreenX To GameMapScreenWidth Step 32
        For y = GameMapScreenY To GameMapScreenHeight Step 32
            Dev.SetTexture 0, Tiles(1)
            Set_Vertex x, y, 32, 32, 16777215, 16777215, 16777215, 16777215
            Dev.DrawPrimitiveUP D3DPT_TRIANGLESTRIP, 2, Vertex(0), Len(Vertex(0))
        Next
        Dev.SetTexture 0, Tiles(2)
        Set_Vertex x, 256, 32, 32, 16777215, 16777215, 16777215, 16777215
        Dev.DrawPrimitiveUP D3DPT_TRIANGLESTRIP, 2, Vertex(0), Len(Vertex(0))
    Next
    Dev.SetTexture 0, Tiles(3)
    Set_Vertex 128, 224, 32, 32, 16777215, 16777215, 16777215, 16777215
    Dev.DrawPrimitiveUP D3DPT_TRIANGLESTRIP, 2, Vertex(0), Len(Vertex(0))
    For x = 160 To GameMapScreenWidth Step 32
        Dev.SetTexture 0, Tiles(4)
        Set_Vertex x, 224, 32, 32, 16777215, 16777215, 16777215, 16777215
        Dev.DrawPrimitiveUP D3DPT_TRIANGLESTRIP, 2, Vertex(0), Len(Vertex(0))
    Next
End Sub

